REST reference
Grants
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
GET
/grantsQuery Parameters
page?integer
Format
int32pageSize?integer
Format
int32userId?string
activityId?string
Format
uuidscope?string
Response Body
curl -X GET "https://example.com/grants"{ "items": [ { "id": "string", "userId": "string", "userName": "string", "userLogin": "string", "activityId": "string", "activityName": "string", "permissions": [ "string" ], "isSystem": true, "createdFromTemplate": "string", "state": "string", "groupId": "string", "groupName": "string", "createdAt": "string", "source": "string", "sourceProviderId": "string", "sourceProviderName": "string", "managed": true, "overrideSystem": true } ], "total": 0, "page": 0, "pageSize": 0}curl -X POST "https://example.com/grants" \ -H "Content-Type: application/json" \ -d '{ "userId": "string", "permissions": [ "string" ] }'{ "id": "string", "userId": "string", "userName": "string", "userLogin": "string", "activityId": "string", "activityName": "string", "permissions": [ "string" ], "isSystem": true, "createdFromTemplate": "string", "state": "string", "groupId": "string", "groupName": "string", "createdAt": "string", "source": "string", "sourceProviderId": "string", "sourceProviderName": "string", "managed": true, "overrideSystem": true}curl -X DELETE "https://example.com/grants/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty